import * as React from "react";
import { Theme } from "../styles";
import { ResultRendererProps } from "./Results";
export declare type InputMode = "standard" | "typeahead";
export declare type DropdownMode = "none" | "suggestions" | "results";
export interface InputProps {
    mode: InputMode;
    dropdownMode: DropdownMode;
    instantSearch?: boolean;
    defaultValue?: string;
    ariaLabel?: string;
    placeholder?: string;
    autoFocus?: boolean;
    buttonText?: string;
    inputRef?: (element: HTMLInputElement) => void;
    onKeyDown?: (event: React.KeyboardEvent<HTMLInputElement>) => void;
    onFocus?: (event: React.FocusEvent<HTMLInputElement>) => void;
    onBlur?: (event: React.FocusEvent<HTMLInputElement>) => void;
    ResultRenderer?: React.ComponentType<ResultRendererProps>;
    className?: string;
    theme?: Theme;
    styles?: {
        container?: React.CSSProperties;
        input?: (isFocused: boolean) => React.CSSProperties;
        typeahead?: React.CSSProperties;
        button?: React.CSSProperties;
        suggestions?: {
            container?: React.CSSProperties;
            item?: (isFocused: boolean) => React.CSSProperties;
        };
    };
}
interface InputState {
    typedInputValue: string;
}
export declare class Input extends React.PureComponent<InputProps, InputState> {
    static defaultProps: InputProps;
    state: {
        typedInputValue: string;
    };
    private input?;
    render(): JSX.Element;
    private handleInputOnChange;
    private inputRef;
    private stateReducer;
}
declare const _default: React.ComponentClass<import("emotion-theming").OptionalThemeProps<InputProps, {}>, any>;
export default _default;
