import { RequestError } from "@sajari/sdk-js";
import * as React from "react";
import { ResultProps, ResultStyles } from "../Result";
export interface ResultsProps {
    ResultRenderer?: React.ComponentType<ResultProps>;
    fields?: {
        title?: string;
        description?: string;
        url?: string;
        image?: string;
    };
    showImages?: boolean;
    styles?: {
        container?: React.CSSProperties;
        item?: React.CSSProperties;
        result?: ResultStyles;
    };
}
export interface ResultsContainerProps {
    children: ResultsRenderFn;
    fields?: {
        title?: string;
        description?: string;
        url?: string;
        image?: string;
    };
}
export declare type ResultsRenderFn = (props: ResultsRenderFnProps) => React.ReactNode;
export interface ResultsRenderFnProps {
    error: RequestError | null;
    results?: Array<{
        key: string;
    } & ResultProps>;
}
export declare const ResultsContainer: React.SFC<ResultsContainerProps>;
export declare class Results extends React.Component<ResultsProps, {}> {
    render(): JSX.Element;
}
