import * as React from "react";
import { Config } from "../../../config";
import { Pipeline, Response, Values } from "../../../controllers";
export interface ProviderPipelineConfig {
    pipeline: Pipeline;
    values: Values;
    config?: Config;
}
export interface ProviderPipelineState {
    response: Response | null;
    query: string;
    config: Config;
    completion: string;
    suggestions: string[];
}
export interface PipelineProviderProps {
    search: ProviderPipelineConfig;
    instant?: ProviderPipelineConfig;
    theme?: any;
    searchOnLoad?: boolean;
}
export interface PipelineProviderState {
    search: ProviderPipelineState;
    instant: ProviderPipelineState;
}
export declare class Provider extends React.PureComponent<PipelineProviderProps, PipelineProviderState> {
    state: PipelineProviderState;
    private unregisterFunctions;
    private instant?;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private getContext;
    private search;
    private clear;
    private handleResultClicked;
    private handlePaginate;
}
