import * as React from "react";
import { Config } from "../../../config";
import { Response } from "../../../controllers";
export declare type SearchFn = (query: string, override: boolean) => void;
export declare type ClearFn = (values?: {
    [k: string]: string | undefined;
}) => void;
export declare type ResultClickedFn = (url: string) => void;
export declare type PaginateFn = (page: number) => void;
export interface PipelineContextState {
    response: Response | null;
    query: string;
    completion: string;
    suggestions: string[];
    config: Config;
    search: SearchFn;
    clear: ClearFn;
}
export interface Context {
    search: PipelineContextState;
    instant: PipelineContextState;
    resultClicked: ResultClickedFn;
    paginate: PaginateFn;
}
export declare const PipelineContext: React.Context<Context>;
