import { Tracking } from "./Tracking";
export declare class ClickTracking extends Tracking {
    private field;
    private qParam;
    private prevQ;
    /**
     * Construct a ClickTracking instance.
     *
     * @param field Field to use for click token generation.
     * @param qParam Value to use for full-text query param.
     */
    constructor(field?: string, qParam?: string);
    /**
     * Reset the tracking.
     * @param values Key-value pair parameters to use in the pipeline.
     */
    reset(values?: {
        [k: string]: string;
    }): void;
    /**
     * Construct a tracking session to be used in a search.
     *
     * @param values Key-value pair parameters to use in the pipeline.
     */
    next(values: {
        [k: string]: string;
    }): [import("@sajari/sdk-js/dist.types/session").Tracking, null] | [undefined, Error];
}
